module Authentication
  module Strategy
    def self.build(site_account)
      type = site_account.settings.authentication_strategy

      strategy_class_name = "authentication/strategy/#{type}".camelize
      strategy_class = strategy_class_name.constantize
      strategy_class.new(site_account)
    end
  end
end
